// ----------------------------------------------------------------------------
//
// ftSchnit.PAS/DFM                                       Ulrich Mller 16.2.00
//                                                        Procida 400NT Delphi4
// ftTeach : Schnittstellendaten
//
// ----------------------------------------------------------------------------

unit ftSchnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmSchnitt = class(TForm)
    lblTitel: TLabel;
    cmdOK: TButton;
    cmdEnde: TButton;
    Label1: TLabel;
    cboPort: TComboBox;
    lblDelay: TLabel;
    txtDelay: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure cmdEndeClick(Sender: TObject);
    procedure cmdOKClick(Sender: TObject);
    procedure cboPortClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmSchnitt: TfrmSchnitt;

implementation

{$R *.DFM}

uses ftMain;

procedure TfrmSchnitt.FormCreate(Sender: TObject);
// --- Aktuelle Werte ------------------------------------------------------
var i: Integer;
begin
  i := -1; repeat Inc(i) until PortName = cboPort.Items[i];
  cboPort.ItemIndex := i;
  if (cboPort.ItemIndex > 3) AND (cboPort.ItemIndex < 7) then begin
    lblDelay.Visible := true;
    txtDelay.Visible := true;
    txtDelay.Text    := IntToStr(LPTDelay);
    end
  else begin
    lblDelay.Visible := false;
    txtDelay.Visible := false;
    txtDelay.Text    := '10';
    end;
end;

procedure TfrmSchnitt.cmdEndeClick(Sender: TObject);
// --- Abbruch-return, keine Wertbergabe ----------------------------------
begin
  Self.Close;
end;

procedure TfrmSchnitt.cmdOKClick(Sender: TObject);
// --- Return mit bernahme der eingestellten Werte -----------------------
begin
  PortName := cboPort.Items[cboPort.ItemIndex];
try
  LPTDelay := StrToInt(txtDelay.Text);
except
  MessageDlg('Fehlerhafter Wert fr Verzgerungsfaktor', mtError, [mbOK], 0);
  exit;
end;
  Self.Close;
end;

procedure TfrmSchnitt.cboPortClick(Sender: TObject);
// ----- Umschalten Port --------------------------------------------------
begin
  if (cboPort.ItemIndex > 3) AND (cboPort.ItemIndex < 7) then begin
    lblDelay.Visible := true;
    txtDelay.Visible := true;
    txtDelay.Text    := IntToStr(LPTDelay);
    end
  else begin
    lblDelay.Visible := false;
    txtDelay.Visible := false;
    txtDelay.Text    := '10';
    end;
end;

end.
